# localkdc

This projects provides files to configure run a localkdc with systemd.

## Setting up the local KDC

The localkdc will make use of systemd's userdb. This is not enabled by default
in distributions yet. You need to turn it on using:

```sh
systemctl enable --now systemd-userdbd.socket
```

As of today, the current release of MIT Kerberos is 1.21. This version doesn't
offer the needed bits to run a localkdc. You can either compile the current
git master version of MIT Kerberos or our COPR repository we use for prototyping
this. Install a Fedora 42 machine and do:

```sh
dnf copr enable asn/localkdc
```

Then install the localkdc and samba packages:

```sh
dnf install localkdc samba
```

As we do not have completed the SELinux rules, disable SELinux on the system.
You can do that with:

```sh
setenforce 0
```

Now you can setup the localkdc using:

```sh
localkdc-setup
```

To start the localkdc use:

```sh
systemctl enable --now localkdc.socket
```

## Adding user entry for the local KDC

```sh
localkdc-useradd <USER>
```

## Getting a krbtgt from the local KDC

```sh
localkdc-kinit <USER>
```

## Setting up Samba

In order to get IAKerb working with Samba you need to configure localkdc
support.

Edit the `/etc/samba/smb.conf` file and add in the `[global]` section the
following line:

```
include = /etc/samba/localkdc.conf
```
